---
document: modulemd
version: 2
data:
  name: nginx
  stream: "1.22"
  version: 20231028155200
  context: 9
  arch: x86_64
  summary: nginx webserver
  description: >-
    nginx 1.22 webserver module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    documentation: http://nginx.org/en/docs/
    tracker: https://trac.nginx.org/nginx/
  profiles:
    common:
      rpms:
      - nginx
      - nginx-all-modules
      - nginx-filesystem
      - nginx-mod-http-image-filter
      - nginx-mod-http-perl
      - nginx-mod-http-xslt-filter
      - nginx-mod-mail
      - nginx-mod-stream
  api:
    rpms:
    - nginx
    - nginx-all-modules
    - nginx-filesystem
    - nginx-mod-http-image-filter
    - nginx-mod-http-perl
    - nginx-mod-http-xslt-filter
    - nginx-mod-mail
    - nginx-mod-stream
  components:
    rpms:
      nginx:
        rationale: Module API.
        ref: stream-nginx-1.22-rhel-9.2.0
  artifacts:
    rpms:
    - nginx-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-all-modules-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.noarch
    - nginx-core-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-filesystem-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.noarch
    - nginx-mod-devel-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-mod-http-image-filter-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-mod-http-perl-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-mod-http-xslt-filter-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-mod-mail-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
    - nginx-mod-stream-1:1.22.1-3.module+el9.2.0.z+20353+5a828d50.1.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 20230822155100
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.14.2-3.module+el9.2.0.z+18964+42696395.i686
    - nodejs-1:18.14.2-3.module+el9.2.0.z+18964+42696395.x86_64
    - nodejs-devel-1:18.14.2-3.module+el9.2.0.z+18964+42696395.i686
    - nodejs-devel-1:18.14.2-3.module+el9.2.0.z+18964+42696395.x86_64
    - nodejs-docs-1:18.14.2-3.module+el9.2.0.z+18964+42696395.noarch
    - nodejs-full-i18n-1:18.14.2-3.module+el9.2.0.z+18964+42696395.x86_64
    - nodejs-nodemon-0:2.0.20-2.module+el9.2.0.z+18497+a402347c.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:9.5.0-1.18.14.2.3.module+el9.2.0.z+18964+42696395.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 20230822174000
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.i686
    - nodejs-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.x86_64
    - nodejs-devel-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.i686
    - nodejs-devel-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.x86_64
    - nodejs-docs-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.noarch
    - nodejs-full-i18n-1:18.16.1-1.module+el9.2.0.z+19424+78951f07.x86_64
    - nodejs-nodemon-0:2.0.20-2.module+el9.2.0.z+18497+a402347c.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:9.5.1-1.18.16.1.1.module+el9.2.0.z+19424+78951f07.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 20230822181600
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.i686
    - nodejs-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.x86_64
    - nodejs-devel-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.i686
    - nodejs-devel-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.x86_64
    - nodejs-docs-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.noarch
    - nodejs-full-i18n-1:18.16.1-2.module+el9.2.0.z+19546+89a27685.x86_64
    - nodejs-nodemon-0:2.0.20-2.module+el9.2.0.z+18497+a402347c.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:9.5.1-1.18.16.1.2.module+el9.2.0.z+19546+89a27685.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 20230928164300
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.i686
    - nodejs-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.x86_64
    - nodejs-devel-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.i686
    - nodejs-devel-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.x86_64
    - nodejs-docs-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.noarch
    - nodejs-full-i18n-1:18.17.1-1.module+el9.2.0.z+19753+58118bc0.x86_64
    - nodejs-nodemon-0:3.0.1-1.module+el9.2.0.z+19753+58118bc0.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:9.6.7-1.18.17.1.1.module+el9.2.0.z+19753+58118bc0.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 20231020150900
  context: rhel9
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-nodejs-18-rhel-9.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.i686
    - nodejs-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.x86_64
    - nodejs-devel-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.i686
    - nodejs-devel-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.x86_64
    - nodejs-docs-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.noarch
    - nodejs-full-i18n-1:18.18.2-2.module+el9.2.0.z+20408+7cb5fda5.x86_64
    - nodejs-nodemon-0:3.0.1-1.module+el9.2.0.z+19753+58118bc0.noarch
    - nodejs-packaging-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - nodejs-packaging-bundler-0:2021.06-4.module+el9.1.0+15718+e52ec601.noarch
    - npm-1:9.8.1-1.18.18.2.2.module+el9.2.0.z+20408+7cb5fda5.x86_64
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: "15"
  version: 20230822202100
  context: rhel9
  arch: x86_64
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/15/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pg_repack:
        rationale: pg_repack extension
        ref: stream-pg_repack-15-rhel-9.2.0
        buildorder: 1
      pgaudit:
        rationale: pgaudit extension
        ref: stream-pgaudit-15-rhel-9.2.0
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-postgres-decoderbufs-15-rhel-9.2.0
        buildorder: 1
      postgresql:
        rationale: Module API.
        ref: stream-postgresql-15-rhel-9.2.0
  artifacts:
    rpms:
    - pg_repack-0:1.4.8-1.module+el9.2.0+17405+aeb9ec60.x86_64
    - pgaudit-0:1.7.0-1.module+el9.2.0+17405+aeb9ec60.x86_64
    - postgres-decoderbufs-0:1.9.7-1.Final.module+el9.2.0+17405+aeb9ec60.x86_64
    - postgresql-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-contrib-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-docs-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-plperl-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-plpython3-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-pltcl-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-private-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-private-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-private-libs-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-private-libs-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-server-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-server-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-server-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-server-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-static-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-static-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-test-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-test-rpm-macros-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.noarch
    - postgresql-upgrade-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-upgrade-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
    - postgresql-upgrade-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.i686
    - postgresql-upgrade-devel-0:15.3-1.module+el9.2.0.z+19113+6f5d9d63.x86_64
...
